Vla-get-activeviewport

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-activeviewport vla-object)


機能
図面のアクティブなビューポートを取得する。


引数
  • vla-object … VLA オブジェクト


戻り値
図面のアクティブなビューポートのVLAオブジェクト


サンプル
(setq *ActDoc* (vla-get-ActiveDocument (vlax-get-Acad-Object)))
(setq *ActView* (vla-get-activeviewport *ActDoc*))

;ダンプ
(vlax-dump-object *ActView*)
; IAcadViewport: 図面のモデル空間のいくつかの部分を表示する、境界で囲まれた領域
; プロパティの値:
;   Application (RO) = #<VLA-OBJECT IAcadApplication 00000001403591d8>
;   ArcSmoothness = 1000
;   Center = (116625.0 30293.1)
;   Direction = (0.0 0.0 1.0)
;   Document (RO) = #<VLA-OBJECT IAcadDocument 000000002c59aed0>
;   GridOn = 0
;   Handle (RO) = "544"
;   HasExtensionDictionary (RO) = 0
;   Height = 53757.9
;   LowerLeftCorner (RO) = (0.0 0.5)
;   Name = "*Active"
;   ObjectID (RO) = 42
;   ObjectID32 (RO) = 42
;   ObjectName (RO) = "AcDbViewportTableRecord"
;   OrthoOn = 0
;   OwnerID (RO) = 43
;   OwnerID32 (RO) = 43
;   SnapBasePoint = (0.0 0.0)
;   SnapOn = -1
;   SnapRotationAngle = 0.0
;   Target = (0.0 0.0 0.0)
;   UCSIconAtOrigin = -1
;   UCSIconOn = 0
;   UpperRightCorner (RO) = (1.0 1.0)
;   Width = 229384.0
T

関連事項